Open CASCADE Technology: BRepAlgoAPI_Algo Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions | Protected Attributes
BRepAlgoAPI_Algo Class Reference

provides the root interface for algorithms More...

`#include <BRepAlgoAPI_Algo.hxx>`

Inheritance diagram for BRepAlgoAPI_Algo:
[legend]

## Public Member Functions
Standard_Integer | ErrorStatus () const
| Returns error status of the algorithm ==0 - no errors occured !=0 - is in the event of various error conditions. More...
Standard_Integer | WarningStatus () const
| Returns warning status of the algorithm ==0 - no warning occured !=0 - is in the event of various warning conditions. More...
const BOPCol_BaseAllocator & | Allocator () const
void | SetRunParallel (const Standard_Boolean theFlag)
| Set the flag of parallel processing if <theFlag> is true the parallel processing is switched on if <theFlag> is false the parallel processing is switched off. More...
Standard_Boolean | RunParallel () const
| Returns the flag of parallel processing. More...
void | SetProgressIndicator (const Handle< Message_ProgressIndicator > &theObj)
| Set the Progress Indicator object. More...
virtual const TopoDS_Shape & | Shape () const
| Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More...
Public Member Functions inherited from BRepBuilderAPI_MakeShape
virtual void | Delete ()
virtual | ~BRepBuilderAPI_MakeShape ()
virtual void | Build ()
| This is called by Shape(). It does nothing but may be redefined. More...
| operator TopoDS_Shape () const
virtual const TopTools_ListOfShape & | Generated (const TopoDS_Shape &S)
| Returns the list of shapes generated from the shape <S>. More...
virtual const TopTools_ListOfShape & | Modified (const TopoDS_Shape &S)
| Returns the list of shapes modified from the shape <S>. More...
virtual Standard_Boolean | IsDeleted (const TopoDS_Shape &S)
| Returns true if the shape S has been deleted. More...
Public Member Functions inherited from BRepBuilderAPI_Command
virtual | ~BRepBuilderAPI_Command ()
virtual Standard_Boolean | IsDone () const
void | Check () const
| Raises NotDone if done is false. More...

## Protected Member Functions
| BRepAlgoAPI_Algo ()
| Empty constructor. More...
virtual | ~BRepAlgoAPI_Algo ()
| BRepAlgoAPI_Algo (const BOPCol_BaseAllocator &theAllocator)
| Empty constructor. More...
void | UserBreak () const
| Breaks the execution if the break signal is indicated by myProgressIndicator. More...
virtual void | Clear ()
Protected Member Functions inherited from BRepBuilderAPI_MakeShape
| BRepBuilderAPI_MakeShape ()
Protected Member Functions inherited from BRepBuilderAPI_Command
| BRepBuilderAPI_Command ()
| Set done to False. More...
void | Done ()
| Set done to true. More...
void | NotDone ()
| Set done to false. More...

## Protected Attributes
BOPCol_BaseAllocator | myAllocator
Standard_Integer | myErrorStatus
Standard_Integer | myWarningStatus
Standard_Boolean | myRunParallel
Handle< Message_ProgressIndicator > | myProgressIndicator
Protected Attributes inherited from BRepBuilderAPI_MakeShape
TopoDS_Shape | myShape
TopTools_ListOfShape | myGenerated

## Detailed Description

provides the root interface for algorithms

## Constructor & Destructor Documentation

BRepAlgoAPI_Algo::BRepAlgoAPI_Algo | ( |  | ) |
| protected

Empty constructor.

virtual BRepAlgoAPI_Algo::~BRepAlgoAPI_Algo | ( |  | ) |
| protectedvirtual

BRepAlgoAPI_Algo::BRepAlgoAPI_Algo | ( | const BOPCol_BaseAllocator & | theAllocator | ) |
| protected

Empty constructor.

## Member Function Documentation

const BOPCol_BaseAllocator& BRepAlgoAPI_Algo::Allocator | ( |  | ) | const

virtual void BRepAlgoAPI_Algo::Clear | ( |  | ) |
| protectedvirtual

Reimplemented in BRepAlgoAPI_BooleanOperation, and BRepAlgoAPI_BuilderAlgo.

Standard_Integer BRepAlgoAPI_Algo::ErrorStatus | ( |  | ) | const

Returns error status of the algorithm ==0 - no errors occured !=0 - is in the event of various error conditions.

Standard_Boolean BRepAlgoAPI_Algo::RunParallel | ( |  | ) | const

Returns the flag of parallel processing.

void BRepAlgoAPI_Algo::SetProgressIndicator | ( | const Handle< Message_ProgressIndicator > & | theObj | ) |

Set the Progress Indicator object.

void BRepAlgoAPI_Algo::SetRunParallel | ( | const Standard_Boolean | theFlag | ) |

Set the flag of parallel processing if <theFlag> is true the parallel processing is switched on if <theFlag> is false the parallel processing is switched off.

virtual const TopoDS_Shape& BRepAlgoAPI_Algo::Shape | ( |  | ) | const
| virtual

Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built.

Reimplemented from BRepBuilderAPI_MakeShape.

void BRepAlgoAPI_Algo::UserBreak | ( |  | ) | const
| protected

Breaks the execution if the break signal is indicated by myProgressIndicator.

Standard_Integer BRepAlgoAPI_Algo::WarningStatus | ( |  | ) | const

Returns warning status of the algorithm ==0 - no warning occured !=0 - is in the event of various warning conditions.

## Field Documentation

BOPCol_BaseAllocator BRepAlgoAPI_Algo::myAllocator
| protected

Standard_Integer BRepAlgoAPI_Algo::myErrorStatus
| protected

Handle< Message_ProgressIndicator > BRepAlgoAPI_Algo::myProgressIndicator
| protected

Standard_Boolean BRepAlgoAPI_Algo::myRunParallel
| protected

Standard_Integer BRepAlgoAPI_Algo::myWarningStatus
| protected

The documentation for this class was generated from the following file:

- BRepAlgoAPI_Algo.hxx